<script lang="ts" setup>
import type { BaseCard, BaseHero } from '@/types/base';

interface FeatureCardsProps {
  hero: BaseHero;
  cards?: BaseCard[];
}
defineProps<FeatureCardsProps>();
</script>

<template>
  <section class="feature-cards">
    <SlpContainer>
      <div data-aos="fade-right" data-aos-duration="1600" data-aos-offset="200">
        <SlpRow>
          <SlpColumn :cols="6">
            <SlpTypography variant="heading1-bold" tag="h1">
              {{ hero.title }}
            </SlpTypography>
            <SlpButton
              v-if="hero.secondaryButton"
              :href="hero.secondaryButton.config.href"
              variant="primary"
              class="button slp-mt-24"
              :data-ga-name="hero.secondaryButton.config.dataGaName"
              :data-ga-location="hero.secondaryButton.config.dataGaLocation"
            >
              {{ hero.secondaryButton.text }}
            </SlpButton>
          </SlpColumn>
          <SlpColumn v-if="hero.image" :cols="6" class="image">
            <img :src="hero.image.config.src" :alt="hero.image.altText" />
          </SlpColumn>
        </SlpRow>
      </div>
    </SlpContainer>
    <div data-aos="fade-up" data-aos-duration="1600" data-aos-offset="200">
      <CommonCardGrid v-if="cards" :cards="cards" />
    </div>
  </section>
</template>

<style lang="scss" scoped>
.feature-cards {
  background: linear-gradient(159.09deg, #f6cdbe 0.37%, #f8f5ff 22.79%, #fff 44.56%, #e2d2f1 78.43%, #ffd4d8 109.47%);
  padding-top: $spacing-96;

  .button {
    @media (max-width: $breakpoint-md) {
      width: 100%;
      display: flex;
      justify-content: center;
      margin-bottom: $spacing-32;
    }
  }

  .image {
    display: flex;
    justify-content: center;

    img {
      max-width: 420px;

      @media (width < $breakpoint-md) {
        max-width: 100%;
        width: 100%;
      }
    }
  }
}
</style>
